astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- asdf v »
- Developer API »
- human_list

# human_list

asdf.util.human_list(line, separator='and')

  Formats a list for human readability.

  Parameters:
    l sequence

      A sequence of strings

    separator string, optional

      The word to use between the last two entries. Default: `"and"`.

  Returns:
    formatted_list string

  Examples

      >>> human_list(["vanilla", "strawberry", "chocolate"], "or")
      'vanilla, strawberry or chocolate'